Redmine - Defect #41729

Installing Redmine 6.0.0 may cause a LoadError for svg_sprite
2024-11-11 20:59 - ashraf alzyoud

Status: Closed Start date:

Priority: High Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 6.0.1

Resolution: Fixed Affected version:

Description

redmine@redmine:~/redmine-6.0$ bundle install

WARN: Unresolved or ambiguous specs during Gem::Specification.reset:
stringio (>= 0)

Available/installed versions of this gem:

-3.1.2

-3.04

WARN: Clearing out unresolved specs. Try 'gem cleanup <gem>'

Please report a bug if this causes problems.

Bundle complete! 44 Gemfile dependencies, 119 gems now installed.
Use “bundle info [gemname] to see where a bundled gem is installed.

Related issues:
Related to Redmine - Feature #23980: Replace icon images with Tabler SVG icons Closed

Associated revisions

Revision 23256 - 2024-11-12 09:33 - Marius BALTEANU

Fixes "Unresolved or ambiguous specs during Gem::Specification.reset" (#41729).

Patch by Go MAEDA (user:maeda).

Revision 23257 - 2024-11-12 09:34 - Marius BALTEANU
Merge r23256 from trunk to 6.0-stable (#41729).

History

#1 - 2024-11-11 21:05 - Marius BALTEANU

- Status changed from New to Needs feedback

Thanks for reporting the issue, but that is a warning and not an error.

#2 - 2024-11-12 00:56 - Tomoaki Yamada

/home/redmine-6.0.0# rake generate_secret_token
WARN: Unresolved or ambiguous specs during Gem::Specification.reset:
stringio (>= 0)
Available/installed versions of this gem:
- 3.1.2
- 3.1.1
WARN: Clearing out unresolved specs. Try 'gem cleanup <gem>'
Please report a bug if this causes problems.
rake aborted!
LoadError: cannot load such file -- svg_sprite (LoadError)
/home/redmine-6.0.0/1ib/tasks/icons.rake:19:in “<top (required)>"'
/home/redmine-6.0.0/Rakefile:7:in '<top (required)>"'
(See full trace by running task with —--trace)

/home/redmine-6.0.0# rake —--trace generate_secret_token
WARN: Unresolved or ambiguous specs during Gem::Specification.reset:
stringio (>= 0)
Available/installed versions of this gem:
- 3.1.2
- 3.1.1
WARN: Clearing out unresolved specs.

Try '

gem cleanup <gem>'

Please report a bug if this causes problems.

rake aborted!
LoadError:

cannot load such file -- svg_sprite

(LoadError)

/usr/1ib64/ruby/3.3.0/bundled_gems.rb:69:in 'require'

/usr/1ib64/ruby/3.3.0/bundled_gems.rb:69:in “block

(2 levels)

in replace_require'

/usr/1lib64/ruby/gems/3.3.0/gems/zeitwerk—-2.7.1/1ib/zeitwerk/core_ext/kernel.rb:34:in 'require'

/home/redmine-6.0.0/1ib/tasks/icons.rake:19:in '<top
/usr/1ib64/ruby/gems/3.
/usr/1ib64/ruby/gems/3.
/usr/lib64/ruby/gems/3.
/usr/1ib64/ruby/gems/3.
/usr/1ib64/ruby/gems/3.
/usr/lib64/ruby/gems/3.
/usr/1ib64/ruby/gems/3.
/usr/1ib64/ruby/gems/3.
/home/redmine-6.0.0/Rakefile:7:in " <top
/usr/1ib64/ruby/gems/3.

(
2
/usr/1ib64/ruby/gems/3.3.0/gems/rake-13.2
/usr/1ib64/ruby/gems/3.3.0/gems/rake-13.2
/usr/1lib64/ruby/gems/3.3.0/gems/rake-13.2
/usr/1ib64/ruby/gems/3.3.0/gems/rake-13.2.
/usr/1ib64/ruby/gems/3.3.0/gems/rake-13.2
/usr/1lib64/ruby/gems/3.3.0/gems/rake-13.2
/usr/1ib64/ruby/gems/3.3.0/gems/rake-13.2
/usr/1ib64/ruby/gems/3.3.0/gems/rake-13.2
/usr/1lib64/ruby/gems/3.3.0/gems/rake-13.2
/usr/bin/rake:25:in " load'
/usr/bin/rake:25:in " <main>'
# ruby --version
ruby 3.3.6 (2024-11-05 revision 75015d4clf)
# gem list | grep svg
svg_optimizer (0.3.0)
svg_sprite (1.0.3)

ruby 3.2.6 + redmine 5.1.4 is fine.

S

S

0/gems/railties-7.
3.0/gems/railties-7.
3.0/gems/railties-7.
3.0/gems/railties-7.
3.0/gems/railties-7.
3.0/gems/railties-7.
3.0/gems/railties-7.
3.

0/gems/railties-7

0/gems/rake-13.

ruby 3.2.6 + redmine 6.0.0 is same error.

#3 - 2024-11-12 04:08 - Go MAEDA
Marius BALTEANU wrote in #note-1:

.2/1lib/rails/engine
.2/1ib/rails/engine
.2/1lib/rails/engine

2
2
2
2.2/lib/rails/engine
2
2

1/lib/rake/application.
.1/1lib/rake/application.
.1/1ib/rake/application.
.1/1lib/rake/application.
.1/1lib/rake/application.
.1/exe/rake:27:in " <top

[x86_64-1inux]

Thanks for reporting the issue, but that is a warning and not an error.

The log shows the following error in addition to the warning.

LoadError:

cannot load such file -- svg_sprite

#4 - 2024-11-12 04:28 - Go MAEDA

- Status changed from Needs feedback to Confirmed

(LoadError)

| found that installing gems with specifying --without development causes the issue.

bundle install --without development:test --path vendor/bundle
bin/rake generate_secret_token

#5 - 2024-11-12 04:38 - Go MAEDA
- File 41729-fix-svg_sprite-loaderror.patch added

(required)>"
.rb:683:1
.rb:683:1
.rb:683:1
.rb:683:
.2/1lib/rails/application.rb:554:in "“run_tasks_blocks'
.2/1ib/rails/engine.rb:470:in " load_tasks'
2.2/1lib/rails/railtie.
.2.2/1lib/rails/railtie.
required) >"'
.1/1ib/rake/rake_module.
.1/1ib/rake/rake_module.
.1/1lib/rake/application.
.1/1ib/rake/application.

rb
rb

rb:
rb:
rb:
rb:
rb:
rb:
rb:
rb:
rb:

in

:226:1n
:226:1in

29:in
29:in
740:1in
126:1in
214:in
125:in
82:1in
214:in
80:in

“load!'

"block in run_tasks_blocks'
“each'

“run_tasks_blocks'

“public_send'
‘method_missing'

“load!'

"load_rakefile'
‘raw_load_rakefile'

"block in load_rakefile'
"standard_exception_handling'
“load_rakefile'

"block in run'
"standard_exception_handling'
“run'

(required)>'

- Subject changed from i cant install redmine 6 to Installing Redmine 6.0.0 may cause a LoadError for svg_sprite

- Category set to Gems support

- Target version set to 6.0.1

The attached patch will fix the error.

#6 - 2024-11-12 04:39 - Go MAEDA

Marius, could you review the patch and release Redmine 6.0.1?
#7 - 2024-11-12 05:16 - Tomoaki Yamada

Thank you for providing your patch.
| was running the below command.

# bundle config set without 'development test rmagick postgresgl sglite'
# bundle install

This patch solved the problem.

#8 - 2024-11-12 09:31 - Go MAEDA
- Related to Feature #23980: Replace icon images with Tabler SVG icons added

#9 - 2024-11-12 09:31 - Marius BALTEANU
Go MAEDA wrote in #note-6:

Marius, could you review the patch and release Redmine 6.0.1?

Yes, we will do the release today!

#10 - 2024-11-12 09:34 - Marius BALTEANU
- Status changed from Confirmed to Resolved
- Assignee set to Marius BALTEANU

- Resolution set to Fixed

#11 - 2024-11-12 09:46 - Marius BALTEANU

- Status changed from Resolved to Closed

#12 - 2024-11-12 10:24 - Go MAEDA

The commit message for r23256 is 'Fixes "Unresolved or ambiguous specs during Gem::Specification.reset™, but please note that it does not address
this warning. Instead, it fixes the issue "LoadError: cannot load such file -- svg_sprite (LoadError)".

#13 - 2024-11-12 10:36 - Marius BALTEANU

Thanks for pointing this out. Do you prefer to revert and commit the fix again with the correct message?

#14 - 2024-11-12 12:32 - Marius BALTEANU
- Priority changed from Normal to High

#15 - 2024-11-13 15:57 - Jonathan Cormier

| assume its safe to ignore this warning then?

WARN: Unresolved or ambiguous specs during Gem::Specification.reset

#16 - 2024-11-13 15:57 - Jonathan Cormier

Also thanks for the quick fix on the svg_sprite issue

#17 - 2024-11-14 01:39 - Go MAEDA

Jonathan Cormier wrote in #note-15:
| assume its safe to ignore this warning then?

WARN: Unresolved or ambiguous specs during Gem::Specification.reset

That warning should be fixed, but for now it is safe to ignore it.

#18 - 2024-11-14 06:15 - Go MAEDA
Go MAEDA wrote in #note-17:

Jonathan Cormier wrote in #note-15:
https://www.redmine.org/projects/redmine/repository/svn/revisions/23256

| assume its safe to ignore this warning then?

WARN: Unresolved or ambiguous specs during Gem::Specification.reset

That warning should be fixed, but for now it is safe to ignore it.

The warning will be fixed by #41749.

Files

41729-fix-svg_sprite-loaderror.patch 689 Bytes 2024-11-12 Go MAEDA
